import request from '@/utils/request'

// 查询油站设备管理列表
export function listManage(query) {
  return request({
    url: '/station/manage/list',
    method: 'get',
    params: query
  })
}

// 查询油站设备管理详细
export function getManage(deviceId) {
  return request({
    url: '/station/manage/' + deviceId,
    method: 'get'
  })
}

// 新增油站设备管理
export function addManage(data) {
  return request({
    url: '/station/manage',
    method: 'post',
    data: data
  })
}

// 修改油站设备管理
export function updateManage(data) {
  return request({
    url: '/station/manage',
    method: 'put',
    data: data
  })
}

// 删除油站设备管理
export function delManage(deviceId) {
  return request({
    url: '/station/manage/' + deviceId,
    method: 'delete'
  })
}

// 导出油站设备管理
export function exportManage(query) {
  return request({
    url: '/station/manage/export',
    method: 'get',
    params: query
  })
}
// 用户状态修改
export function changeManageStatus(deviceId, deviceStatus) {
  const data = {
    deviceId,
    deviceStatus
  }
  return request({
    url: '/station/manage/changeManageStatus',
    method: 'put',
    data: data
  })
}
